Page MenuHomePhabricator

Cannot click radio buttons due to scrambling of RTL & LTR
Closed, ResolvedPublic

Description

Author: gangleri

Description:
Hi!

See [[yi:Image:Yi wikipedia - histoty - monobook.jpg]].

The image was made using Mozilla Firefox, Monobook Skin and the user interface
in Yiddish.

Please use same configuration and load
http://yi.wikipedia.org/w/index.php?title=MediaWiki:Rclistfrom&action=history .
You probably will see that you can not compare "directly" with the 3rd and 4th
version.

BTW: With some skills and knowledge about the [[commons:Image:Tower of
Hanoi.gif|Towers of Hanoi]] you can "shift" to some of the comparisons you can
not select directly.

I know this is one of the most difficult bugs I met. Thanks for all your support
and valuable help. Here the text from that image:

'''bug report'''

generation of links fails if rtl and ltr characters are mixed together with
aditional special characters as brackets, MediaWiki control characters are etc

if the selector boxes are included in those ernoneous links compare would be
possible

the bug maight relate to improper span generation or it maight relate to
improper order call of these functions

Best regards Reinhardt [[user:gangleri]]


Version: unspecified
Severity: trivial
Platform: PC
URL: http://yi.wikipedia.org/w/index.php?title=MediaWiki:Rclistfrom&action=history

Details

Commits
Unknown Object (Diffusion Commit)
Unknown Object (Diffusion Commit)
Reference
bz2038

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 8:29 PM
bzimport added a project: MediaWiki-Parser.
bzimport set Reference to bz2038.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.May 1 2005, 7:02 AM

gangleri wrote:

Sorry for this [[yi:user:gangleri]]. Regards Reinhardt

gangleri wrote:

Please compare "actual" rendering in

NOT OK:
http://yi.wikipedia.org/w/index.php?title=Image:Papier.jpg&diff=prev&oldid=2358
OK: http://yi.wikipedia.org/w/index.php?title=Image:Papier.jpg&diff=next&oldid=2358

Note: "actual" means now. If the bug is fixed and you follow the links you can
NOT see this bug nay more.

zigger wrote:

(In reply to comment #0)

http://yi.wikipedia.org/w/index.php?title=MediaWiki:Rclistfrom&action=history .

The problem I see with this is scrambled rendering in IE6-SP1 & Firefox 1.0.4.
In particular, with Firefox the clickable area for some of the old article
revision overlap the radio buttons,
and with both browsers the radio buttons jump around as selected.

Like bug 2057, using the keyboard to tab through the active parts of the page
eventually allows selection.

Also, the tab sequence is out-of-order, with the "last" links sequenced
separately, but this is a separate issue also affecting LTR wikis, so I'll open
a new report for it.

gangleri wrote:

workaround: use RTL characters in [[wikipedia:yiMediaWiki:Last]]
droped "Severity" to trivial
see
http://yi.wikipedia.org/w/index.php?title=%D7%A1%D7%90%D6%B7%D7%9E%D7%93%D7%A7%D7%90%D6%B7%D7%A1%D7%98%D7%9F&action=history
(eventualy follor [[en:Wikipedia:Bypass your cache]])

Regards Reinhardt

gangleri wrote:

changing dependencies:
this bug should disapear if pages is fixed according to bug 4066

Is this bug still active? By the tests I've made, it seems corrected.

demon added a comment.Apr 16 2010, 3:33 PM

I agree. I can't replicate these issues anymore, so closing this as FIXED (it probably was fixed at some point in the past 5 years). Feel free to reopen if you can replicate this again.

epriestley added a commit: Unknown Object (Diffusion Commit).Mar 4 2015, 8:25 AM
epriestley added a commit: Unknown Object (Diffusion Commit).